Bug 378011 - KMail 5.4.3 Mailing list not resolved
Summary: KMail 5.4.3 Mailing list not resolved
Status: REPORTED
Alias: None
Product: kmail2
Classification: Applications
Component: contact completion (show other bugs)
Version: 5.4.3
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
: 384697 (view as bug list)
Depends on:
Blocks:
 
Reported: 2017-03-24 10:58 UTC by Axel Braun
Modified: 2021-03-19 09:26 UTC (History)
6 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Axel Braun 2017-03-24 10:58:34 UTC
New installation of Tumbleweed (snapshot 20170320), home directory imported from old disk.
I have a mailing list that is shown properly in Contact, but sending to the list fails with

Fehler beim Übertragen der Nachricht. Message sending failed since the
following recipients were rejected by the server: BdK@t520.internal (The
server responded: Requested action not taken: mailbox unavailable invalid DNS
MX or A/AAAA resource record)

Looking at
https://userbase.kde.org/Akonadi#KAddressBook
I should see a prograum under KDE system settings -> Personal information
This is missing

I can see as well that akonadi-runtime is not installed by default - is it
still required?
Following akonadi packages are installed (by default):

S | Name | Zusammenfassung |
Typ
--+------------------------------+----------------------------------------
+------
i | akonadi-calendar-tools | Base package of kdepim | Paket
i | akonadi-contact | KDE PIM Libraries for Akonadi Contacts | Paket
i | akonadi-import-wizard | Base package of kdepim | Paket
i | akonadi-mime | KDE PIM-Bibliotheken | Paket
i | akonadi-server | PIM Storage Service | Paket
i | libKF5AkonadiAgentBase5 | Akonadi Agent base library | Paket
i | libKF5AkonadiCalendar5 | KDE PIM Libraries: AkonadiCalendar | Paket
i | libKF5AkonadiContact5 | Library for personal contact handling | Paket
i | libKF5AkonadiCore5 | Core Akonadi Server library | Paket
i | libKF5AkonadiMime5 | KDE PIM Libraries: Build Environment | Paket
i | libKF5AkonadiNotes5 | KDE PIM Libraries: Build Environment | Paket
i | libKF5AkonadiPrivate5 | Akonadi Private Server library | Paket
i | libKF5AkonadiSearch | Core libraries for AkonadiSearch | Paket
i | libKF5AkonadiWidgets5 | Akonadi Agent base library | Paket
i | libKF5AkonadiXml5 | Akonadi Xml library | Paket
i | libakonadi4 | PIM Storage Service Client Libraries | Paket
i | libakonadiprotocolinternals1 | PIM Storage Service | Paket

Whats missing? runtime?
https://bugzilla.opensuse.org/show_bug.cgi?id=1030697
Comment 1 Laurent Montel 2017-03-25 09:19:51 UTC
what do you mean by "mailing list" ?
Comment 2 Axel Braun 2017-03-25 09:56:44 UTC
(In reply to Laurent Montel from comment #1)
> what do you mean by "mailing list" ?

On the composer screen, you can save the recipients of a mail as list. This list is meant.
Comment 3 Axel Braun 2017-03-28 16:13:50 UTC
I noticed contact completion does not work at all....
Comment 4 Gerry Gavigan 2017-04-05 12:37:56 UTC
I think this bug is related to bug #378437
Comment 5 Axel Braun 2017-04-06 14:50:02 UTC
I checked this against KDE Neon 5.9.4 -> same behavior. KMail/Kaddressbook is broken

Please fix this, I really have some distribution lists I'm working with...

Thank you!
Comment 6 Gerry Gavigan 2017-04-06 15:59:27 UTC
If one has a named mailing list in kaddressbook then typing that name into a kmail address field causes kmail to try to send the email to 

<name of list>@<name of local Linux host> 

I think the absence of akonadi-runtime is not an issue.  Attempting to install it invites de-installation of the sqlite database underpinning kmail
Comment 7 Gerry Gavigan 2017-04-07 14:36:15 UTC
[code]

linux-g2qv:~ # zypper in akonadi-runtime

Retrieving repository 'Packman Repository' metadata ...................................................................[done]
Building repository 'Packman Repository' cache ........................................................................[done]
Loading repository data...
Reading installed packages...
Resolving package dependencies...

Problem: installed akonadi-server-16.12.3-1.1.x86_64 obsoletes akonadi-runtime < 16.12.3 provided by akonadi-runtime-1.13.0-9.1.x86_64
 Solution 1: Following actions will be done:
  deinstallation of akonadi-server-16.12.3-1.1.x86_64
  deinstallation of akonadi-server-sqlite-16.12.3-1.1.x86_64
 Solution 2: do not install akonadi-runtime-1.13.0-9.1.x86_64

Choose from above solutions by number or cancel [1/2/c] (c): 

[/code]
Comment 8 Axel Braun 2017-05-16 13:40:51 UTC
Still an issue in KMail 5.5.0
Comment 9 Axel Braun 2017-05-30 14:59:33 UTC
I just upgraded to 5.5.1 and see the issue still on my installation.
On a KDE Neaon installation of same version I dont see it.

But there are some differences:
On my installation, the mailing list is in local address book, and the mails are mostly coming from google address book. it gets resolved as list_name@mypc.local (mypc.local is set as standard domain) 
while the NEON installation has everything locally and no standard domain set.
Can that be a reason? Anything else where I could look for?
Comment 10 Axel Braun 2017-07-06 14:44:12 UTC
I just tested this on a brand new Installation with KMail 5.5.2 - still broken
Comment 11 Laurent Montel 2017-07-06 16:32:19 UTC
Your baloo database seems broken. Here it works fine.
You can easy test if code works.
open kaddressbook where you create a "list of address" 
you dnd it on a composer in lineedit
it will expand it.

If not it's because your database baloo is broken
Comment 12 Axel Braun 2017-07-06 21:13:56 UTC
(In reply to Laurent Montel from comment #11)
> Your baloo database seems broken. Here it works fine.

How can the baloo database be corrupted if it is a new installation

> You can easy test if code works.
> open kaddressbook where you create a "list of address" 
> you dnd it on a composer in lineedit
> it will expand it.

I created a 'test' list of addresses, added 2 addresses and tried to send:

Fehler beim Übertragen der Nachricht. Message sending failed since the following recipients were rejected by the server: test@linux.internal (The server responded: Requested action not taken: mailbox unavailable invalid DNS MX or A/AAAA resource record)

> If not it's because your database baloo is broken

Please explain how to verify/test it
Comment 13 Laurent Montel 2017-07-07 04:55:32 UTC
did you try the dnd ?
Comment 14 Axel Braun 2017-07-07 06:58:39 UTC
(In reply to Laurent Montel from comment #13)
> did you try the dnd ?

I dont know what dnd is. I could not find it as command or package
Comment 15 Laurent Montel 2017-07-07 07:49:04 UTC
drag and drop :)
You select an item in kaddressbook (a Mailing List element in list view)
and you move it on addressline in kmail
Comment 16 Axel Braun 2017-07-07 18:36:13 UTC
(In reply to Laurent Montel from comment #15)
> drag and drop :)

ROFL...that was a good one!

> You select an item in kaddressbook (a Mailing List element in list view)
> and you move it on addressline in kmail

Does not work - neither on the fresh installation, nor on a mature installation.
D&D of single contacts works
Comment 17 Gerry Gavigan 2017-07-09 22:41:45 UTC
My two user installation, updated to today's tumbleweed (sorry, not present so cannot be more specific) reports restored functionality. 

So "fixed" for me
Comment 18 Axel Braun 2017-07-10 07:54:09 UTC
(In reply to Gerry Gavigan from comment #17)
> My two user installation, updated to today's tumbleweed (sorry, not present
> so cannot be more specific) reports restored functionality. 
> 
> So "fixed" for me

Did an update this morning as well (TW 20170708):
Plasma 5.10.3
Framework 5.35.0
QT 5.9.1
KMail 5.5.2 

Tested on the above TW as well as on a l new Leap 42.3 installation:
For me the issue persists *not fixed*
Comment 19 Axel Braun 2017-07-10 14:42:53 UTC
How to reproduce:
Install Leap 42.3 or tumbleweed (both are actually on the same KDE version)
Start kontact
Create IMAP Email-account and sync mail
Add google contacts and sync contacts
create new mail message, add some recipients, and save this as distribution list in the local address book (same issue if you save it in the google address book, just as remark)

create new mail message. Drag the distribution list to the recipient field. result: not possibe (KMail prevents the drop into the address bar)
Comment 20 Axel Braun 2017-07-28 09:32:20 UTC
Still an issue with KMail 5.5.3 , new user profile
Comment 21 Axel Braun 2017-08-11 13:57:32 UTC
...and obviously not related to akonadi-search: On a migrated (openSUSE 42.2 -> 42.3) account the address completion works nicely, but a mailing/distribution list is not being resolved
Comment 22 Axel Braun 2017-11-23 09:45:49 UTC
still broken in 5.6.3
Comment 23 Metko 2017-12-28 15:17:28 UTC
*** Bug 384697 has been marked as a duplicate of this bug. ***
Comment 24 Axel Braun 2018-02-18 10:36:23 UTC
I could verify this behaviour in a fresh install of Leap 15.0 Build 129.1 using KMail 5.7.2
How to reproduce:
In the local addressbook, create a list with contact from your local address book.
Select the list as recipient of a mail -> working

Add an addressbook, lets say Google contacts.
Create a list with recipients from the Google address book, and save it in the local address book (same occurs if saved in google address book). When sending a mail to this list, it fails with the already described error message.
Comment 25 Axel Braun 2018-10-08 20:59:00 UTC
Quick update on this, using KMail/Kontact 5.9.1/Application 18.08.1 - problem is still present.
Reproduction instructions of comment 24 still valid.
Please fix!
Comment 26 Axel Braun 2018-10-09 16:02:42 UTC
One more hint - creating a small group of 5 recipients works (and is resolved as well), saving a list of 26 recipients fails. Default setting of max 200 recipients is unchanged
Comment 27 Axel Braun 2018-10-10 12:27:07 UTC
In between I believe its not the number of recipients - it's the name of the group: If I rename test_group to testgroup, everything works....
Comment 28 piny 2018-10-27 14:55:47 UTC
(In reply to Axel Braun from comment #25)
> Quick update on this, using KMail/Kontact 5.9.1/Application 18.08.1 -
> problem is still present.
> Reproduction instructions of comment 24 still valid.
> Please fix!

Confirm behavior on

Kontact 5.8.0
OS:     Linux 4.4.159-73-default x86_64
System: openSUSE Leap 42.3
        openSUSE 42.3 (x86_64)
Qt:     5.10.0
KDE:    5.45.0
Plasma: 5.12.4

Kmail however crashes on DnD with larger number of recipients, however
Comment 29 Axel Braun 2021-03-19 09:26:13 UTC
By chance I came around this issue again
KMail 5.16.3 (20.12.3)

If a list of mail recipients contains an underscore (like My_List), list is not exploded into single recipients. 

Workaround. Rename list to MyList, then it works. 

However, this is confusing for the user....

Operating System: openSUSE Tumbleweed 20210316
KDE Plasma Version: 5.21.2
KDE Frameworks Version: 5.80.0
Qt Version: 5.15.2